CVE-2018-7440

NameCVE-2018-7440
DescriptionAn issue was discovered in Leptonica through 1.75.3. The gplotMakeOutp ...
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1302-1
Debian Bugs891932

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
leptonlib (PTS)buster1.76.0-1+deb10u1fixed
bullseye1.79.0-1.1fixed
bookworm, sid1.82.0-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
leptonlibsourcewheezy1.69-3.1+deb7u2DLA-1302-1
leptonlibsourcejessie(not affected)
leptonlibsourcestretch(not affected)
leptonlibsource(unstable)1.75.3-3891932

Notes

[stretch] - leptonlib <not-affected> (Incomplete fix for CVE-2018-3836 not applied)
[jessie] - leptonlib <not-affected> (Incomplete fix for CVE-2018-3836 not applied)
https://github.com/DanBloomberg/leptonica/issues/303#issuecomment-366472212
https://github.com/DanBloomberg/leptonica/pull/313/commits/49ecb6c2dfd6ed5078c62f4a8eeff03e3beced3b

Search for package or bug name: Reporting problems